import { TransactionInstruction } from '@solana/web3.js';
import { IInstruction, IAccountLookupMeta, IAccountMeta } from '@solana/web3.js-next';
interface IInstructionWithStringProgramAddress<TAccounts extends readonly (IAccountLookupMeta | IAccountMeta)[] = readonly (IAccountLookupMeta | IAccountMeta)[]> extends Omit<IInstruction<string, TAccounts>, 'programAddress'> {
    readonly programAddress: string;
}
export declare function fromIInstructionToTransactionInstruction(instruction: IInstruction | IInstructionWithStringProgramAddress): TransactionInstruction;
export declare function fromTransactionInstructionToIInstruction(instruction: TransactionInstruction): IInstruction;
export {};
//# sourceMappingURL=instructions.d.ts.map